System.Gadget.onDock = DockGadget;
System.Gadget.onUndock = UndockGadget;

var gGadgetMode = (System.Gadget !== undefined);

function init() {
	if (gGadgetMode)
	{
		System.Gadget.onDock = DockGadget;
		System.Gadget.onUndock = UndockGadget;
		
		if (System.Gadget.docked)
		{
			DockGadget();
		}
		else
		{
			UndockGadget();
		}
	}
	else
	{
		UndockGadget();
	}
	var tic=setInterval("movement()", 100)
}

function UndockGadget() {
	var oBody = document.body.style;

	var oh = document.getElementById("h");
	var om = document.getElementById("m");
	var os = document.getElementById("s");

	oBody.width = 130;
	oBody.height = 130;
	oh.width = 130;
	oh.height = 130;
	om.width = 130;
	om.height = 130;
	os.width = 130;
	os.height = 130;

	System.Gadget.background = "../images/undocked/body.png";
	oh.src = "../images/undocked/hours.png";
	om.src = "../images/undocked/minutes.png";
	os.src = "../images/undocked/seconds.png";

}

function DockGadget() {
	var oBody = document.body.style;

	var oh = document.getElementById("h");
	var om = document.getElementById("m");
	var os = document.getElementById("s");

	oBody.width = 130;
	oBody.width = 130;
	oBody.height = 130;
	oh.width = 130;
	oh.height = 130;
	om.width = 130;
	om.height = 130;
	os.width = 130;
	os.height = 130;

	System.Gadget.background = "../images/docked/body.png";
	oh.src = "../images/docked/hours.png";
	om.src = "../images/docked/minutes.png";
	os.src = "../images/docked/seconds.png";
}

function getTime() {
	var ret = new Array()
	var now = new Date()
	hTime = now.getHours()
	if (hTime > 12) {hTime = hTime - 12} else if (hTime == 0) {hTime = 12}
	mTime = now.getMinutes()
	sTime = now.getSeconds()
	dsTime = Math.floor(now.getMilliseconds()/100)
	return [hTime,mTime,sTime,dsTime]
}

function movement() {
	data = getTime()
	hNum = data[0]
	mNum = data[1]
	sNum = data[2] < 1 ? data[3] : data[2]+''+(data[3])

	h.Rotation =  30 * hNum + mNum / 2 + sNum / 1200;
	m.Rotation = 6 * mNum + sNum / 100
	s.Rotation = sNum /10 * 6
}